> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Debit History

> Getting A Pay via Direct debit History



## OpenAPI

````yaml /openapi/collections.json get /direct-debit/listLinks
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /direct-debit/listLinks:
    get:
      tags:
        - Direct-debit
      summary: Direct Debit History
      description: Getting A Pay via Direct debit History
      operationId: ' Getting a Debit History'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectHistoryResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Creation failed
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    DirectHistoryResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        message:
          type: string
          example: successfully fetched data
        data:
          type: array
          items:
            type: object
            properties:
              dated:
                type: string
                example: '2024-08-08T07:10:22+00:00'
              transactionId:
                type: string
                example: flick-d-dash6W1nay1FxH4DSWs9ZRh
              name:
                type: string
                example: Kingsley
              tennor:
                type: string
                example: weekly
              amount:
                type: string
                example: '100040'
              start_date:
                type: string
                example: 09 August 2024
              end_date:
                type: string
                example: 09 August 2024
              active:
                type: string
                example: 0approved
              url:
                type: string
                example: www.direct.debit.paywick.co/perGxtivfPDsdDdnXntHX
              pagename:
                type: string
                example: All above
      example:
        status: '200'
        data:
          - dated: '2024-08-08T13:18:45+00:00'
            transactionId: flick-jVM1PxMw
            tennor: daily
            amount: 122100
            start_date: 09 June 2024
            end_date: 16 June 2024
            active: initiated
            url: https://directit.open.paywck.co/yNk9Me
            pagename: open banking test
          - dated: '2024-08-08T07:10:22+00:00'
            transactionId: flick4DSWs9ZRhQ5E
            name: Kingsley
            tennor: weekly
            amount: 132100
            start_date: 09 June 2024
            end_date: 30 September 2024
            active: approved
            url: https://directit.open.paywck.co/yNk9Me
            pagename: Tesying client
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.